> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sentiment distribution stats

> Returns sentiment distribution stats for a brand. Supports filtering by date range, platform, and interaction type.



## OpenAPI

````yaml api-reference/community-openapi.json POST /sentiment_distribution_stats
openapi: 3.0.2
info:
  contact:
    email: support@dashsocial.com
    name: Dash Social
    url: https://dashsocial.com
  description: Manage community interactions in the Dash Social platform.
  license:
    name: Commercial
    url: https://dashsocial.com/terms
  title: Community API
  version: 1.0.0
  x-logo:
    altText: Dash Social logo
    href: https://developer.dashsocial.com
    url: https://developer.dashsocial.com/assets/logo.svg
servers:
  - url: https://community.dashsocial.com
security:
  - BearerAuth: []
tags:
  - description: Endpoints responsible for comment sentiment.
    name: Comment Sentiment
  - description: Endpoints responsible for community interaction tags.
    name: Community Interaction Tags
  - description: Endpoints responsible for community interactions.
    name: Community Interactions
  - description: Endpoints responsible for community overview.
    name: Community Overview
  - description: Endpoints responsible for community post operations
    name: Community Posts
  - description: Endpoints responsible for managing Facebook comments.
    name: Facebook Comments
  - description: Endpoints responsible for managing Facebook messages.
    name: Facebook Messages
  - description: Endpoints responsible for managing Instagram comments.
    name: Instagram Comments
  - description: Endpoints responsible for Instagram messages.
    name: Instagram Messages
  - description: Endpoints responsible for community interaction automation rules.
    name: Interaction Rules
  - description: Endpoints responsible for managing preset replies.
    name: Preset replies
  - description: Endpoints responsible for managing TikTok comments.
    name: TikTok Comments
  - description: Endpoints responsible for managing Twitter messages.
    name: Twitter Messages
  - description: Endpoints responsible for managing Twitter tweets.
    name: Twitter Tweets
  - description: Endpoints responsible for managing YouTube Comments
    name: YouTube Comments
paths:
  /sentiment_distribution_stats:
    post:
      tags:
        - Community Overview V2
      summary: Get sentiment distribution stats
      description: >-
        Returns sentiment distribution stats for a brand. Supports filtering by
        date range, platform, and interaction type.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CommunitySentimentDistributionBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommunitySentimentDistributionResponse'
          description: OK
        '422':
          $ref: '#/components/responses/UNPROCESSABLE_ENTITY'
        default:
          $ref: '#/components/responses/DEFAULT_ERROR'
components:
  schemas:
    CommunitySentimentDistributionBody:
      additionalProperties: false
      properties:
        brand_ids:
          description: List of brand_ids fetch sentiment data for
          items:
            type: integer
          type: array
        ai_category_ids:
          description: Comma separated list of AI category IDs to filter by
          items:
            type: integer
          type: array
        assignee_id:
          description: ID of the assigned user
          type: integer
        assignee_ids:
          description: Comma separated list of assignee user IDs to filter by
          items:
            type: integer
          type: array
        deleted_by:
          description: Filter by interactions that were deleted by user or rule
          enum:
            - RULE
            - USER
          type: string
        interaction_rule_ids:
          description: List of interaction rule IDs to filter results by.
          items:
            type: integer
          type: array
        is_archived:
          description: Whether the community interaction is marked as archived.
          type: boolean
        is_follow_up:
          description: Whether the community interaction is marked as follow-up.
          type: boolean
        is_negative:
          description: Is the comment is labeled as positive.
          type: boolean
        is_neutral:
          description: Is the comment is labeled as positive.
          type: boolean
        is_positive:
          description: Is the comment is labeled as positive.
          type: boolean
        is_question:
          description: Is the comment a question.
          type: boolean
        is_read:
          description: Whether the community interaction is marked as read.
          type: boolean
        is_spam:
          description: Is the comment spam.
          type: boolean
        media_ids:
          description: List of library media IDs fetch sentiment data for
          items:
            type: integer
          type: array
        message_content:
          description: Message content type to filter by
          items:
            enum:
              - EMOJI_ONLY
              - GIF_ONLY
              - HASHTAG_ONLY
              - LINK_ONLY
              - MENTION_ONLY
              - ONE_WORD_ONLY
              - UNSUPPORTED
            type: string
          type: array
        multiple_keywords:
          description: Flag to determine if query is a list of comma separated keywords.
          type: boolean
        operators:
          additionalProperties:
            type: string
          description: >-
            A map of field names, from this schema (and parent schemas), that
            operators types are provided for.
          type: object
        query:
          description: A text that helps search for relevant records.
          type: string
        response_recommended:
          description: Determine if a response is recommended for the interaction.
          type: boolean
        source_updated_after:
          description: >-
            When the community interaction was updated according to the source
            platform.
          format: date-time
          type: string
        source_updated_before:
          description: >-
            When the community interaction was updated according to the source
            platform.
          format: date-time
          type: string
        subtype:
          description: Subtypes to filter by
          items:
            enum:
              - POST_SHARE
              - REEL_SHARE
              - STORY_MENTION
              - STORY_REPLY
            type: string
          type: array
        tag_ids:
          description: >-
            Comma separated list of tag IDs to filter results by. Condition is
            AND
          items:
            type: integer
          type: array
        ticket_id:
          description: A ticket ID to filter results by with OR condition.
          type: string
        types:
          description: Comma separated list of types
          items:
            enum:
              - FACEBOOK_ADS_COMMENT
              - FACEBOOK_COMMENT
              - FACEBOOK_CONVERSATION
              - INSTAGRAM_ADS_COMMENT
              - INSTAGRAM_COMMENT
              - INSTAGRAM_CONVERSATION
              - TIKTOK_CAPTION_MENTION
              - TIKTOK_COMMENT
              - TIKTOK_COMMENT_MENTION
              - TWITTER_CONVERSATION
              - TWITTER_MENTION
              - TWITTER_QUOTE
              - TWITTER_RETWEET
              - YOUTUBE_COMMENT
            type: string
          type: array
      required:
        - brand_ids
      type: object
    CommunitySentimentDistributionResponse:
      properties:
        data:
          allOf:
            - $ref: '#/components/schemas/CommunitySentimentDistribution'
          description: The sentiment distribution per platform
      required:
        - data
      type: object
    CommunitySentimentDistribution:
      properties:
        facebook:
          allOf:
            - $ref: '#/components/schemas/SentimentDistribution'
          default: null
          description: Facebook sentiment distribution
          nullable: true
        instagram:
          allOf:
            - $ref: '#/components/schemas/SentimentDistribution'
          default: null
          description: Instagram sentiment distribution
          nullable: true
        tiktok:
          allOf:
            - $ref: '#/components/schemas/SentimentDistribution'
          default: null
          description: TikTok sentiment distribution
          nullable: true
        twitter:
          allOf:
            - $ref: '#/components/schemas/SentimentDistribution'
          default: null
          description: Twitter sentiment distribution
          nullable: true
        youtube:
          allOf:
            - $ref: '#/components/schemas/SentimentDistribution'
          default: null
          description: YouTube sentiment distribution
          nullable: true
      type: object
    Error:
      properties:
        code:
          description: Error code
          type: integer
        errors:
          description: Errors
          type: object
        message:
          description: Error message
          type: string
        status:
          description: Error name
          type: string
      type: object
    SentimentDistribution:
      properties:
        negative:
          description: The number of negatively scored comments
          minimum: 0
          type: integer
        neutral:
          description: The number of neutrally scored comments
          minimum: 0
          type: integer
        positive:
          description: The number of positively scored comments
          minimum: 0
          type: integer
      required:
        - negative
        - neutral
        - positive
      type: object
  responses:
    UNPROCESSABLE_ENTITY:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Unprocessable Entity
    DEFAULT_ERROR:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Default error response
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key from Dash Social developer settings

````